Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model
[Java] Interface SourceDirectory

    public interface SourceDirectory

Represents a source directory.

Method Summary
`File` | `getDirectory()` Returns the source directory.

Method Detail

### getDirectory

    public File getDirectory()

  Returns the source directory.
  Returns:
    The source directory.

Gradle API 1.10